Package ru.bitel.bgbilling.kernel.tariff.option.server.event

# Class TariffOptionActivatedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.tariff.option.server.event.TariffOptionActivatedEvent

All Implemented Interfaces:
  `Serializable`

public class TariffOptionActivatedEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Скриптовое событие об активации тарифной опции.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TariffOptionActivatedEvent()`
  ``
  `TariffOptionActivatedEvent(int userId, ContractTariffOption contractOption, TariffOptionActivateMode mode, TariffOption option, boolean reactivated)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TariffOptionActivateMode`
  `getActivateMode()`
  `ContractTariffOption`
  `getContractOption()`
  `TariffOption`
  `getOption()`
  `boolean`
  `isReactivated()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TariffOptionActivatedEvent

    protected TariffOptionActivatedEvent()

  - ### TariffOptionActivatedEvent

    public TariffOptionActivatedEvent(int userId, ContractTariffOption contractOption, TariffOptionActivateMode mode, TariffOption option, boolean reactivated)

- ## Method Details

  - ### getContractOption

    public ContractTariffOption getContractOption()

  - ### getActivateMode

    public TariffOptionActivateMode getActivateMode()

  - ### getOption

    public TariffOption getOption()

  - ### isReactivated

    public boolean isReactivated()